
Infrastructure - Bug #7377

Metacat Log response hangs

2015-09-22 19:27 - Robert Waltz

Status: Closed Start date: 2015-09-22

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

When issuing this call on cn-dev-ucsb-1.test.dataone.org:

root@cn-dev-ucsb-1:~# curl --trace curl.out --cert  /etc/dataone/client/private/cnDevUCSB1.pem "

https://cn-dev-ucsb-1.test.dataone.org/metacat/d1/cn/v2/log?fromDate=2015-05-21T04:06:05.625%2B00:00&toDate=2015-07-01T10

:44:03.750%2B00:00&start=0&count=0"

The command never returns. In logAggregation, d1-libclient-java will eventually timeout and return a client exception.

All I see in the metacat log files, are these two warnings:

/var/metacat/logs/metacat.log

metacat 20150922-19:06:14: [WARN]: Could not parse event: null [edu.ucsb.nceas.metacat.restservice.D1ResourceHandler]

metacat 20150922-19:06:14: [WARN]: Could not parse pidFilter: null [edu.ucsb.nceas.metacat.restservice.D1ResourceHandler]

History

#1 - 2015-09-23 21:14 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

I checked the code and log file and suspected the code "cn.listNodes().getNodeList();" hangs. 

Restarting the service on cn-dev-ucsb-1 made it works.  I found "/etc/init.d/d1-processing stop" couldn't stop the d1-processing. I had to kill it. I am not

sure if this related to our issue.

I added more debug codes to Metacat and installed on CNs. 

I am going to close the bug. If it happens again, we can reopen it.
